Skip to content
Allied Telesis / PRODUCT DOSSIER

Allied Telesis AT-x510L-28GP-10

Allied Telesis AT-x510L-28GP-10 Switch
SKU: ATX510L28GP10

Allied Telesis AT-x510L-28GP-10 Switch — Switch. Detailed technical specifications, hardware compatibility, and price breakdown.

View Specs Buy on Amazon →

You can report any missing or inaccurate technical specifications.

Recorded technical parameters and manufacturer data are verified.

Technical specifications

Recorded specifications are grouped by product category. Missing data does not imply lack of support.
Connection Gateway Mirroring
Yes
Connection Clustering
Yes
Fiber Channel Protocols
SNTP, NTP
10G support
No
Tree Protocol Duration
Yes
Copper ethernet cabling technology
DHCP features
Total Power on Ethernet Enclosure
290 W
Number of Ethernet Power Poe Inputs
12
Number of Power Poe Inputs on Ethernet Plus
6
Power Over Ethernet Poe Support
Yes
Search IGMP
Yes
Service Quality QoS Support
Yes
Basic Opening Closing RJ 45 Ethernet Input Count
Basic Opening Closing RJ 45 Ethernet Input Type
Wi-Fi standards
IEEE 802.2, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3ae, IEEE 802.3af, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
Communication LED Indicators
Yes
Power Connection
Latency 1 Gbps
3,9 µs
Latency 10/100 Mbps
9,3 µs
Latency 10 Gbps
3 µs
Security
UL60950-1, CAN/CSA-C22.2 No. 60950-1-03, EN60950-1, EN60825-1, AS/NZS 60950.1
Security Algorithm Supported
EAP-TTLS, MD5, PEAP, SSL/TLS
Certificates of Conformity Declarations
Non-operating Humidity
Non-operating Height
0 - 3048 m
Operating Humidity Range
5 - 90%
Power consumption
Operating Temperature Range
0 - 45 °C
Address Table Size
Weight
Depth
Width
Jumbo frames support
Yes
Shelf Installation
Yes
Web-based management
Yes
Height
Product Color
Flash memory
Storage Temperature Range Celsius
Noise level
45 dB
Akis Control Support
Yes
Contact Layer
Key Type
Publication Flow Control
Yes
Processing Volume
Routing Transit Capacity
Routing/switching capacity
128 Gbit/s
Installed SFP Module Count
4
SFP Module Slot Count
Package depth
510 mm
Package width
570 mm
Package height
150 mm
Package Cache
Package weight
7,2 kg
Brand
Allied Telesis
Category
Network Switches
Product Name
AT-x510L-28GP-10
GTIN EAN UPC
7670352033488
Category
Network Switches
Brand
Allied Telesis
Product Name
AT-x510L-28GP-10
Product Series
Sold Markets
US, CA, FR, MX
Date Added to System
2014-09-25
Production Date
Product Code
AT-X510L-28GP-10
Speed Limiting
Yes
Heat dissipation
229 BTU/s
Stackable
Yes
Console Input
RJ-45
MIB support
RFC1212, RFC1213, RFC1227, RFC1239, RFC1724, RFC2011, RFC2012, RFC2013, RFC2096, RFC2819, RFC2863, RFC3418, RFC3621, RFC3636
Multicast support
Yes
VLAN support
Yes
Management protocols
Telnet, SMTP, DHCP, TLS, SSH
Allied Telesis AT-x510L-28GP-10 Switch